# Search Player by Name

### `GET` Search Player by Name

```
https://soccer.sportmonks.com/api/v2.0/players/search/{player_name}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 2       |

#### Parameters

| Available parameters |                                                                                                                  |
| -------------------- | ---------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc to your request url. |

#### Include options

`position` `team` `stats` `trophies` `sidelined` `transfers` `lineups` `country`<br>

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/players/search/James Forrest?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
 "data": [
        {
            "player_id": 172104,
            "team_id": 53,
            "country_id": 1161,
            "position_id": 3,
            "common_name": "J. Forrest",
            "display_name": "James Forrest",
            "fullname": "James Forrest",
            "firstname": "James",
            "lastname": "Forrest",
            "nationality": "Scotland",
            "birthdate": "07/07/1991",
            "birthcountry": "Scotland",
            "birthplace": "Prestwick",
            "height": "175 cm",
            "weight": null,
            "image_path": "https://cdn.sportmonks.com/images/soccer/players/8/172104.png"
        },
        {
            "player_id": 12724,
            "team_id": 382,
            "country_id": 462,
            "position_id": 4,
            "common_name": "D. Forrest",
            "display_name": "Danny Forrest",
            "fullname": "Danny Forrest",
            "firstname": "Danny",
            "lastname": "Forrest",
            "nationality": "England",
            "birthdate": "23/10/1984",
            "birthcountry": "England",
            "birthplace": "Keighley",
            "height": "180 cm",
            "weight": null,
            "image_path": "https://cdn.sportmonks.com/images/soccer/placeholder.png"
        },
        {
            "player_id": 174304,
            "team_id": 258,
            "country_id": 1161,
            "position_id": 4,
            "common_name": "A. Forrest",
            "display_name": "Alan Forrest",
            "fullname": "Alan Forrest",
            "firstname": "Alan",
            "lastname": "Forrest",
            "nationality": "Scotland",
            "birthdate": "09/09/1996",
            "birthcountry": "Scotland",
            "birthplace": "Irvine",
            "height": "175 cm",
            "weight": null,
            "image_path": "https://cdn.sportmonks.com/images/soccer/placeholder.png"
        },
        {
            "player_id": 174484,
            "team_id": null,
            "country_id": 1161,
            "position_id": 2,
            "common_name": "F. Forrest",
            "display_name": "Fraser Forrest",
            "fullname": "Fraser Forrest",
            "firstname": "Fraser",
            "lastname": "Forrest",
            "nationality": "Scotland",
            "birthdate": "14/09/1983",
            "birthcountry": "Scotland",
            "birthplace": "Galashiels",
            "height": null,
            "weight": null,
            "image_path": "https://cdn.sportmonks.com/images/soccer/placeholder.png"
        },
        {
            "player_id": 175004,
            "team_id": null,
            "country_id": 1161,
            "position_id": 2,
            "common_name": "E. Forrest",
            "display_name": "Eddie Forrest",
            "fullname": "Eddie Forrest",
            "firstname": "Eddie",
            "lastname": "Forrest",
            "nationality": "Scotland",
            "birthdate": "17/12/1978",
            "birthcountry": "Scotland",
            "birthplace": "Edinburgh",
            "height": "183 cm",
            "weight": "80 kg",
            "image_path": "https://cdn.sportmonks.com/images/soccer/placeholder.png"
        },
```

{% endtab %}

{% tab title="Field Description" %}

| Field          | Description                                                                |
| -------------- | -------------------------------------------------------------------------- |
| `player_id`    | The unique id of the main player                                           |
| `team_id`      | The unique id of the team the player belongs to                            |
| `country_id`   | The unique id of the country the player is from                            |
| `position_id`  | The unique id of the position the player plays in                          |
| `common_name`  | The common name the player is known for                                    |
| `display_name` | The display name of the player. Often used to show in the lineup formation |
| `fullname`     | The full name of the player                                                |
| `firstname`    | The first name of the player                                               |
| `lastname`     | The last name of the player                                                |
| `nationality`  | The nationality of the player                                              |
| `birthdate`    | The date of birth of the player                                            |
| `birthcountry` | The country the player was born in                                         |
| `birthplace`   | The place the player was born in                                           |
| `height`       | The height of the player                                                   |
| `weight`       | The weight of the player                                                   |
| `image_path`   | The URL of the player image                                                |
| {% endtab %}   |                                                                            |
| {% endtabs %}  |                                                                            |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#8c665bb5-a777-4d77-914d-e2da488efd8c)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/players/search-player-by-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
